package edu.umd.dawn.common.annotations;

import edu.umd.dawn.common.enums.Role;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface RoleRestriction {

    public Role value() default Role.USER;

    boolean disableWarning() default false;
}
